<?xml version="1.0" encoding="utf-8" ?>
<log4net>
	<!-- 文件日志配置 -->
	<appender name="RollingFile" type="log4net.Appender.RollingFileAppender,log4net">
		<param name="File" value="logs\log.log"/>
		<param name="AppendToFile" value="true"/>
		<param name="RollingStyle" value="Date"/>
		<maximumFileSize value="10240KB" />
		<!-- 保存文件数量 -->
		<maxSizeRollBackups value="10" />
		<param name="DatePattern" value="yyyy.MM.dd"/>
		<param name="StaticLogFileName" value="true"/>
		<layout type="log4net.Layout.PatternLayout,log4net">
			<conversionPattern value="%d [%level] [%thread] - %message%newline%exception%newline"/>
		</layout>
	</appender>
	<!-- 控制台日志配置 -->
	<appender name="Console" type="log4net.Appender.ConsoleAppender">
		<!-- 日志输出格式 -->
		<layout type="log4net.Layout.PatternLayout">
			<conversionPattern value="%d [%level] [%thread] - %message%newline%exception%newline" />
		</layout>
	</appender>
	<logger name="File">
		<level value="WARN"/>
		<appender-ref ref="RollingFile"/>
	</logger>
	<logger name="Console">
		<level value="WARN"/>
		<appender-ref ref="Console"/>
	</logger>
</log4net>